'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoaderFullStatic = exports.LoaderFull = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactDisplace = require('react-displace');

var _reactDisplace2 = _interopRequireDefault(_reactDisplace);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Loading state container that takes over the entire page
 *
 * @param {boolean} opaque Hide the contents of the page with an entirely opaque container.
 * @example
 * import React, { PureComponent } from 'react'
 * import { LoaderFull, LoaderFullStatic } from '@mapbox/mapbox-react-components/loader-full'
 *
 * export default class Example extends PureComponent {
 *
 *   render() {
 *     // The Optional `LoaderFullStatic` is not rendered outside its parent container.
 *     return (
 *       <LoaderFull />
 *       <LoaderFullStatic />
 *     )
 *   }
 * }
 */
var LoaderFullStatic = function (_React$PureComponent) {
  _inherits(LoaderFullStatic, _React$PureComponent);

  function LoaderFullStatic() {
    _classCallCheck(this, LoaderFullStatic);

    return _possibleConstructorReturn(this, (LoaderFullStatic.__proto__ || Object.getPrototypeOf(LoaderFullStatic)).apply(this, arguments));
  }

  _createClass(LoaderFullStatic, [{
    key: 'render',
    value: function render() {
      var bgClasses = 'fixed top left right bottom flex-parent flex-parent--center-main flex-parent--center-cross';
      var loaderClasses = 'loading';
      if (this.props.opaque) {
        bgClasses += ' bg-white';
      } else {
        bgClasses += ' bg-darken50';
        loaderClasses += ' loading--dark';
      }

      return (
        // This needs to end up on top of *everything*, so it goes to the bottom
        // of body with the maximum z's.
        _react2.default.createElement(
          'div',
          { className: bgClasses, style: { zIndex: 9999 }, 'data-test': 'loader' },
          _react2.default.createElement('div', { className: loaderClasses })
        )
      );
    }
  }]);

  return LoaderFullStatic;
}(_react2.default.PureComponent);

LoaderFullStatic.propTypes = {
  opaque: _propTypes2.default.bool
};


var LoaderFull = (0, _reactDisplace2.default)(LoaderFullStatic);

exports.LoaderFull = LoaderFull;
exports.LoaderFullStatic = LoaderFullStatic;