'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoaderLocal = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Loading state container that occupies its nearest relative parent.
 *
 * @param {string} extraClasses [extraClasses=''] A space separated list of Assembly class names to override the existing presentation.
 * @example
 * import React, { PureComponent } from 'react'
 * import { LoaderLocal } from '@mapbox/mapbox-react-components/loader-local'
 *
 * export default class Example extends PureComponent {
 *
 *   render() {
 *     return (
 *       <LoaderLocal />
 *     )
 *   }
 * }
 */
var LoaderLocal = function (_React$PureComponent) {
  _inherits(LoaderLocal, _React$PureComponent);

  function LoaderLocal() {
    _classCallCheck(this, LoaderLocal);

    return _possibleConstructorReturn(this, (LoaderLocal.__proto__ || Object.getPrototypeOf(LoaderLocal)).apply(this, arguments));
  }

  _createClass(LoaderLocal, [{
    key: 'render',
    value: function render() {
      var extraClasses = this.props.extraClasses;

      var className = 'loading absolute top left right bottom flex-parent bg-gray-faint ';
      if (extraClasses) className += ' ' + extraClasses;
      return _react2.default.createElement('div', { className: className });
    }
  }]);

  return LoaderLocal;
}(_react2.default.PureComponent);

LoaderLocal.propTypes = {
  extraClasses: _propTypes2.default.string
};
exports.LoaderLocal = LoaderLocal;