'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getExtraProps = undefined;

var _omit2 = require('lodash/omit');

var _omit3 = _interopRequireDefault(_omit2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Given a `props` object and the corresponding `propTypes`, returns an object
 * consisting only of `props` that were not defined in `propTypes`.
 *
 * @param {Object} props
 * @param {Object} propTypes
 * @return {Object} - The properties from `props` that are not coveredBy by `propTypes`.
 */
function getExtraProps(props, propTypes) {
  return (0, _omit3.default)(props, Object.keys(propTypes));
}

exports.getExtraProps = getExtraProps;