'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
// Adapted from https://github.com/HubSpot/tether/blob/master/src/js/utils.js
function getScrollableParents(element) {
  var position = getComputedStyle(element).position;
  if (position === 'fixed') return [];

  var parents = [];
  var parent = element.parentElement;

  while (parent) {
    var parentStyle = getComputedStyle(parent);

    var allOverflows = parentStyle.overflow + parentStyle.overflowY;
    if (/(auto|scroll|overlay)/.test(allOverflows)) {
      if (position !== 'absolute' || /(relative|absolute|fixed)/.test(parentStyle.position)) {
        parents.push(parent);
      }
      if (parentStyle.position === 'fixed') return parents;
    }

    parent = parent.parentElement;
  }

  parents.push(window);
  return parents;
}

exports.getScrollableParents = getScrollableParents;