'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 * For the purposes of correctly mocking the window object in jest, this is a safe way of returning it for tests to work as expected.
 *
 * @return {Object} `window` object.
 */
function getWindow() {
  if ((typeof window === 'undefined' ? 'undefined' : _typeof(window)) === undefined) {
    throw new Error('window not available');
  }

  return window;
}

exports.getWindow = getWindow;