'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});


/**
 * Add a period to the end of a string if that string does not alread
 * end with sentence-ending punctuation
 *
 * @param {string} The sentce to add a period or not to.
 * @return {string}
 */
function maybeAddPeriod(text) {
  if (!text) return text;
  var trimmedText = text.trim();
  var lastChar = trimmedText[trimmedText.length - 1];
  if (lastChar === '.' || lastChar === '!' || lastChar === '?') return trimmedText;
  return trimmedText + '.';
}

exports.maybeAddPeriod = maybeAddPeriod;